DevHeads.net

Postings by Muayyad AlSadi

touchpad became funny after last update

hi,

I have thinkpad t440p
it was working perfectly
now I feel that it randomly pops right click menu while scrolling with two
fingers
and fast cursor movement is no longer possible, it seems very painful to
move the cursor from edge to edge

here is a list of my last update

ansible.noarch 2.3.2.0-1.fc26
augeas-libs.x86_64 1.8.1-1.fc26
autocorr-en.noarch 1:5.3.5.2-3.fc26
bijiben.x86_64 3.24.1-1.fc26
bind99-libs.x86_64 9.9.10-2.P3.fc26
bind99-license.noarch 9.9.10-2.P3.fc26
ca-certificates.noarch 2017.2.16-1.0.fc26
coreutils.x86_64 8.27-6.fc26
coreutils-common.x86_64 8.27-6.fc26
distribution-

is there a reason for starting zookeeper.service in background?

hi,

in fedora's zookeeper service < /usr/lib/systemd/system/zookeeper.service
we have the following line

ExecStart=/usr/bin/zkServer.sh start zoo.cfg

why not

ExecStart=/usr/bin/zkServer.sh start-foreground zoo.cfg

of type simple

specially that file does not contain "PIDFile=" directive

no influxdb for fedora 22, but there is for 21 and 23

Hi,

it seems that influxdb is missing in fedora 22

<a href="https://bodhi.fedoraproject.org/updates/?packages=golang-github-influxdb-influxdb" title="https://bodhi.fedoraproject.org/updates/?packages=golang-github-influxdb-influxdb">https://bodhi.fedoraproject.org/updates/?packages=golang-github-influxdb...</a>

[root@laptop ~]# cat /etc/system-release
Fedora release 22 (Twenty Two)

[root@laptop ~]# dnf -C info golang-github-influxdb-influxdb
Last metadata expiration check performed 2:59:31 ago on Sat Oct 31 13:57:20
2015.
Error: No matching Packages to list

packaging golang guidelines (like etcd, consul)

hi,

I'm on f22 and have consul and etcd from the repos

ldd /usr/bin/consul
linux-vdso.so.1 (0x00007ffc98fa2000)
liblmdb.so.0.0.0 => /lib64/liblmdb.so.0.0.0 (0x00007f99bc1b5000)
libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f99bbf99000)
libc.so.6 => /lib64/libc.so.6 (0x00007f99bbbd8000)
/lib64/ld-linux-x86-64.so.2 (0x0000562f58dbf000)

ldd /usr/bin/etcd
not a dynamic executable

I found that when CGO_ENABLED=0 it would be statically linked
the dynamic one like consul above is not actually dynamically linked
(because of the size)

are there some fedora guidelines for golang apps?
are there

systemd & running legacy sys V init.d script for newrelic

hi,

we are using newrelic to monitor our server, they use some init.d script
which does not seem to like fedora 18

their script broke just after sourcing functions

is there some workaround ? or different file to source for legacy software

installer final touches matters

hi,

the fedora's new installer got many innovative features

but it's missing many critical easy to fix final touches from user
experiance point of view

let me mention some
I've tried fedora 18 live cd,

I was offered to choose LVM, standard or BTRFS
and later went through partitioning process and when I'm done
the "begin installation" button was disabled
leaving the user without any clue or error message
I've done all steps in a proper way (I've prepared a partition for / and
swap ..etc.)
I know what was the problem (as a fedora developer, I know that live
installation is just blind copying

RFE: kickstart repo config shoudl be allowed to accept --overwrite_groups

hi,

yum repo conf accepts overwrite_groups, but kickstart repo config does not
seem to accept --overwrite_groups

shouldn't that be easy to add ?

pyside is now an official part of qt

hi,

after reading this

<a href="http://www.pyside.org/2012/03/pyside-becomes-a-qt-add-on/" title="http://www.pyside.org/2012/03/pyside-becomes-a-qt-add-on/">http://www.pyside.org/2012/03/pyside-becomes-a-qt-add-on/</a>

how is this going to affect fedora ?

do we have PyQt4 apps in our repos ?

are we going to patch them to be

import PySide as PyQt4

or something like that

grub2 got strange power saving behavior (or is it my BIOS)

hi,

I got fedoa 16's grub2 that manages the boot on my laptop

when my laptop is connected to battery the brightness in grub will be very low,
when it's not the brightness will be maximum

is this just my BIOS or there is some sort of broken power management in grub2

webkitgtk3 and webkitgtk both installed

hi,

I made a spin with gimp pre-installed and found that webkitgtk and
webkitgtk3 both installed

the old webkitgtk is installed only because of gimp

is there any plan to port gimp to webkitgtk3

does /etc/sysctl.d/ really obeyed and does really override /etc/sysctl.conf

hi everybody,

in recent fedora releases I can see we have /etc/sysctl.d/

but does it really get evaluated

eg. let's put in /etc/sysctl.d/00-ojuba-enabled-sysrq.conf

kernel.sysrq = 1

and keep it 0 in /etc/sysctl.conf

kernel.sysrq = 0

then reboot then type

sysctl kernel.sysrq

it was reported that this would yield 0 (maybe when no wifi and no
network at all)

why java-1.7.0-openjdk does not provide jre while do java-1.6.0-openjdk ?

I found that I have two java

[root@localhost ~]# rpm -qa 'java*'
java-1.7.0-openjdk-1.7.0.1-2.0.3.fc16.x86_64
java-1.6.0-openjdk-1.6.0.0-61.1.10.4.fc16.x86_64
[root@localhost ~]# rpm -e java-1.6.0-openjdk
error: Failed dependencies:
jre >= 1.5.0 is needed by (installed) libreoffice-ure-1:3.4.4.2-3.fc16.x86_64
[root@localhost ~]# rpm -e java-1.7.0-openjdk
[root@localhost ~]#

I guess this is not right ?

if so please tell me to file a bug report

bug in fuse-s3fs

is this project still active ?

if not then fedora should have rpm for the other s3fs project <
<a href="http://code.google.com/p/s3fs" title="http://code.google.com/p/s3fs">http://code.google.com/p/s3fs</a>

if so then the following lines in the code should be fixed

#Set the env correctly
if self.AWS_ACCESS_KEY_ID != None:
os.putenv("AWS_ACCESS_KEY_ID",self.AWS_ACCESS_KEY_ID)
if self.AWS_SECRET_ACCESS_KEY != None:
os.putenv("AWS_SECRET_ACCESS_KEY",
self.AWS_SECRET_ACCESS_KEY)

if (os.environ.get("AWS_ACCESS_KEY_ID") == None):
print "Need to specify AWS_ACCESS_KEY_ID"
if (os.environ.get("AWS_SECRET_ACCESS_KEY") == None):
print "Need to specify AWS

conflict in packages in fedora 15

hello,

what is the reason for this

Transaction Check Error:
file /lib/firmware/phanfw.bin from install of
netxen-firmware-4.0.534-4.fc15.noarch conflicts with file from package
linux-firmware-20110601-1.fc15.noarch

and what requires netxen-firmware

some locales crashes gnome-shell

how can we debug this bug
<a href="https://bugzilla.redhat.com/show_bug.cgi?id=728889" title="https://bugzilla.redhat.com/show_bug.cgi?id=728889">https://bugzilla.redhat.com/show_bug.cgi?id=728889</a>

I tried the following js in firebug/firefox

var d=new Date;
alert(Date.toLocaleFormat());
alert(Date.toLocaleFormat("%Y-%m-%d"));

we need to test

Shell.util_format_date(format, this.getTime());

I tried gjs and js command lines but I was unable to import Shell

gnome 3 menus and the freedesktop standard

the spec says:
$XDG_CONFIG_DIRS/menus/applications-merged/

The default merge directories included in the <DefaultMergeDirs>
element.

kernel bug or coincidence

hello,

I have experienced a failure like this twice on same day and once in another day

Call Trace:
...
[<c0408f17>] kernel_thread_helper+0x7 ...

I have scrolled up and found that there is some sata errors

ata1: limiting speed to
ata1.00: SATA link up ...
...
this happened twice and it happened only with the updated kernel

my yum logs shows

Feb 15 00:35:35 Installed: kernel-PAE-2.6.30.10-105.2.23.fc11.i686

I'm now using the previous kernel for days and I've not encountered that error
and DeviceKit does not report any problem

my current kernel is
uname -r
2.6.30.10-105.2.16.fc11.i686.PA

upgrade fedora's pyfribidi

Hello,

a patch to fix bidi problem in reportlab did do shaping/joining for
Arabic despite that we are using fribidi2 (we call it fribidi)

<a href="http://two.pairlist.net/pipermail/reportlab-users/2009-November/008962.html" title="http://two.pairlist.net/pipermail/reportlab-users/2009-November/008962.html">http://two.pairlist.net/pipermail/reportlab-users/2009-November/008962.html</a>

from fribidi.org

There is a release of the fribidi2 modules available now, which is
fribidi-0.19.2.tar.gz ... The Fedora project simply upgraded to 0.19
series from 0.10 without any compatibility issues.

bug solved, we can now make an rpm for xul sqlite-manager

hello,

I tried to make an rpm package for xul sqlite-manager

it's a xul app and a firefox plugin (forget about the plugin)

<a href="http://code.google.com/p/sqlite-manager/downloads/list" title="http://code.google.com/p/sqlite-manager/downloads/list">http://code.google.com/p/sqlite-manager/downloads/list</a>

<a href="http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.6.zip" title="http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.6.zip">http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.6.zip</a>

there was a problem, and it's solved now
<a href="http://code.google.com/p/sqlite-manager/issues/detail?id=309" title="http://code.google.com/p/sqlite-manager/issues/detail?id=309">http://code.google.com/p/sqlite-manager/issues/detail?id=309</a>

I suggest we make an rpm for it and add it to the repos

what does it do ?
it's a simple desktop/personal database application using sqlite and xulrunner

it can be used where kile or oo.o-base does not fit like livecd

how to pack it ?
make a

anaconda upgrade from same version

it seems that anaconda wants that anaconda's upgrade requires a
version that is strictly older than current

ie. one can't upgrade an alpha/bera or even same version

I suggest the following

<a href="http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=blob;f=installclasses/fedora.py;h=d3add70353030081f6028924ebbf667ed3a4af10;hb=HEAD#l112" title="http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=blob;f=installclasses/fedora.py;h=d3add70353030081f6028924ebbf667ed3a4af10;hb=HEAD#l112">http://git.fedorahosted.org/git/anaconda.git?p=anaconda.git;a=blob;f=ins...</a>

- return newVer > oldVer and newVer - oldVer <= 2
+ return newVer >= oldVer and newVer - oldVer <= 2

how to pack an rpm for sqlite manager the xul application

hello,

Sqlite manager is now made an application not just an extension

<a href="http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.2b3.zip" title="http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.2b3.zip">http://sqlite-manager.googlecode.com/files/SQLiteManager_XR_0.5.2b3.zip</a>
(it's supposed to be noarch since it uses python)

I can run it like this

xulrunner path/application.ini

but I tried to copy it to /usr/share/SQLiteManager/
then run as regular user
xulrunner /usr/share/SQLiteManager/application.ini

it did not work

I also tried
xulrunner --install-app /path/to/SQLiteManager_XR_0.5.2b3.zip
/usr/share/ SQLiteManager

and it won't run

so what is the right way to make an rpm for it ?

gio does not report any removable media

hello

I'm implementing media repo and they asked me to do it using GIO
and I did so, but while testing it I noticed that there is a bug in
GIO when running as root
and here is a small session of it

[alsadi@pc1 yum]$ python
Python 2.6 (r26:66714, Jun 8 2009, 16:07:26)
[GCC 4.4.0 20090506 (Red Hat 4.4.0-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.

[<__main__.GProxyDrive at 0x8429e8c: HL-DT-ST DVDRAM GH20NS10>]

[alsadi@pc1 yum]$ su -l
Password:
[root@pc1 ~]# python
Python 2.6 (r26:66714, Jun 8 2009, 16:07:26)
[GCC 4.4.0 20090506 (Red Hat 4.4.0-4)] o

MediaRepo: help needed in Packagekit

hello,

I started an effort to add a feature to fedora

<a href="https://fedoraproject.org/wiki/Features/MediaRepo" title="https://fedoraproject.org/wiki/Features/MediaRepo">https://fedoraproject.org/wiki/Features/MediaRepo</a>

I was told by David Zeuthen that the API of DeviceKit-disks is not yet stable
he advised me to use GIO (GVolumeMonitor)

so I made my patch implementation independent we can use HAL or DeviceKit or GIO

the only thing need to be changed in different implementations is
from yumMediaManager import MediaManager
should be
from yumMediaManagerHAL import MediaManager
or
from yumMediaManagerGIO import MediaManager
..etc.

Richard Hughes had accepted my patch

<a href="http://cgit.freedesktop.org/package" title="http://cgit.freedesktop.org/package">http://cgit.freedesktop.org/package</a>

RFE: clean up keyboard layout config

Hello everybody,

I was tracing a problem that was no reproducible
getting "Error activating XKB configuration"

as I'm not the only one who got this error, just google for it and see

some times is could be a result of broken language files

<a href="https://bugzilla.redhat.com/show_bug.cgi?id=487583" title="https://bugzilla.redhat.com/show_bug.cgi?id=487583">https://bugzilla.redhat.com/show_bug.cgi?id=487583</a>

but it's very difficult to trace the problem

<a href="https://bugzilla.redhat.com/show_bug.cgi?id=508628" title="https://bugzilla.redhat.com/show_bug.cgi?id=508628">https://bugzilla.redhat.com/show_bug.cgi?id=508628</a>

what do we want ?
1. we want to a way to select a system wide layout
2.

using CD/DVD as media

hello,

I filed RFE bugs claiming that in fedora we have no way to use the DVD as a repo
including PK, yum cli,yumex, apt-get, smart, ...
I tried all the tools and non can add a DVD as a media repo

all my bugs were closed by Bug Zappers and asked me to reopen them
although it was clearly not solved

eg.

hda-verb and sound problems with Acer Aspire 8930G

a brother have reported a problem in sound since F10
and he moved to F11 and he still have the problem
lspci | grep Audio gives
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
Controller (rev 03)
(for more diagnostics see English output in
<a href="http://www.linuxac.org/forum/linuxac68/thread23699.html" title="http://www.linuxac.org/forum/linuxac68/thread23699.html">http://www.linuxac.org/forum/linuxac68/thread23699.html</a> )

the solution to that problem is by calling hda-verb on each boot
<a href="http://www.linlap.com/wiki/Acer+Aspire+8930G" title="http://www.linlap.com/wiki/Acer+Aspire+8930G">http://www.linlap.com/wiki/Acer+Aspire+8930G</a>
ubuntu: <a href="http://jan.saell.org/blog/archives/30" title="http://jan.saell.org/blog/archives/30">http://jan.saell.org/blog/archives/30</a>
suse: <a href="http://en.opensuse.org/SDB_Discussion:Intel-HDA_sound_problems" title="http://en.opensuse.org/SDB_Discussion:Intel-HDA_sound_problems">http://en.opensuse.org/SDB_Discussion:Intel-HDA_sound_problems</a>
mandriva: <a href="http://rpmfind.net/linux/RPM/mandriva/2009.1" title="http://rpmfind.net/linux/RPM/mandriva/2009.1">http://rpmfind.net/linux/RPM/mandriva/2009.1</a>

please apply this upstream patch into kde

hello,

could you please apply this upstream patch (committed today into svn)
<a href="http://websvn.kde.org/trunk/KDE/kdebase/workspace/plasma/applets/kickoff/ui/launcher.cpp?r1=950287&amp;r2=955865&amp;pathrev=955865&amp;view=patch" title="http://websvn.kde.org/trunk/KDE/kdebase/workspace/plasma/applets/kickoff/ui/launcher.cpp?r1=950287&amp;r2=955865&amp;pathrev=955865&amp;view=patch">http://websvn.kde.org/trunk/KDE/kdebase/workspace/plasma/applets/kickoff...</a>

with patch -p4

for details

<a href="https://bugs.kde.org/show_bug.cgi?id=165100" title="https://bugs.kde.org/show_bug.cgi?id=165100">https://bugs.kde.org/show_bug.cgi?id=165100</a>

can we do that for F10 and F11 ?

the upstream promised to release it next 4.2.x release and of course in 4.3.0

better internationalization in docbook-style-xsl

hi,
I made some patches into docbook-style-xsl-1.74.0-3.fc10.noarch
to make it better for international environment

before you ask me why in devel ML why not doc-ML why not upstream ?
I say because I want to make it better
so that when we upstream it we won't find any issue

for example the file html/docbook.xsl have a header like this
<xsl:output method="html"
encoding="ISO-8859-1"
indent="no"/>

while the xhtml/docbook.xsl uses utf-8

changing the first one to be just like the second ie.

a feature request: offline pkg installation from media

I followed the in <a href="http://fedoraproject.org/wiki/Features/Policy/Ideas" title="http://fedoraproject.org/wiki/Features/Policy/Ideas">http://fedoraproject.org/wiki/Features/Policy/Ideas</a>
and submitted this page
<a href="https://fedoraproject.org/wiki/Features/MediaRepos" title="https://fedoraproject.org/wiki/Features/MediaRepos">https://fedoraproject.org/wiki/Features/MediaRepos</a>

a trivial fix makes a big change

I made a trivial fix to this bug
<a href="https://bugzilla.redhat.com/show_bug.cgi?id=447072#c1" title="https://bugzilla.redhat.com/show_bug.cgi?id=447072#c1">https://bugzilla.redhat.com/show_bug.cgi?id=447072#c1</a>

nautilus-share now works, just right click share and you are there

the problem is that this package is broken since the F9 and it's an
orphan package

how can we manage to get it working a gain

can it be in F10 or it's too late for that an I should hope that it
would be in F11

note: the fix is trivial which is to replace the directory name from
-1.0 to -2.0

a second thing I want to request a feature for F11
that this package works with zero user configuration
just installing this package, ie.